<?php

namespace GriffinForms\Admin\Html\Elements;

class SnackBar
{
    public function html()
    {
        $this->container();
        
    }
    protected function container()
    {
        echo '<div class="griffinforms-toast-container position-fixed p-3">';
        $this->toast();
        echo '</div>';
        
    }
    
    protected function toast()
    {
        echo '<div id="griffinforms-snackbar" class="toast align-items-center text-white bg-dark border-0" role="alert" aria-live="assertive" aria-atomic="true">';
        echo '<div class="d-flex">';
        echo '<div class="toast-body">';
        echo 'Hello, world! This is a toast message.';
        echo '</div>';
        echo '<button type="button" class="btn-close btn-close-white me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>';
        echo '</div></div>';
        
    }
}